# Description

Please include a summary of the change and which issues are fixed.

Fixes #[issue]

## Type of change

-   [ ] Bug fix (a change which fixes an issue).
-   [ ] New feature (a change which adds functionality).
-   [ ] New Server (new server added).
-   [ ] Refactor (restructures existing code).
-   [ ] Comment update (typo, spelling, explanation, examples, etc).

## Checklist

PR will not be merged until all steps are complete.

-   [ ] This pull request links to an issue.
-   [ ] This pull request uses the `develop` branch as its base.
-   [ ] This pull request subject follows the Conventional Commits standard.
-   [ ] This code follows the style guidelines of this project.
-   [ ] I have performed a self-review of my code.
-   [ ] I have checked that this code is commented where required.
-   [ ] I have provided a detailed enough description of this PR.
-   [ ] I have checked if documentation needs updating.

## Documentation

If documentation does need updating either update it by creating a PR (preferred) or request a documentation update.

-   User docs: https://github.com/GameServerManagers/LinuxGSM-Docs
-   Dev docs: https://github.com/GameServerManagers/LinuxGSM-Dev-Docs

**Thank you for your Pull Request!**
